commit a8f4ed53b3b4c39d8a0a44da087856aedc08ac7a
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Oct 14 12:05:57 2020 +0100

    libstdc++: Enable tests that incorrectly require cxx11-abi
    
    These tests were not being run when -D_GLIBCXX_USE_CXX11_ABI=0 was added
    to the test flags, but they actually work OK with the old string.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/21_strings/basic_string/allocator/char/minimal.cc:
            Do not require cxx11-abi effective target.
            * testsuite/21_strings/basic_string/allocator/wchar_t/minimal.cc:
            Likewise.
            * testsuite/27_io/basic_fstream/cons/base.cc: Likewise.
    
    (cherry picked from commit 5ae9ddd480f97ba16b9b9d11d333e1252b820166)

diff --git a/libstdc++-v3/testsuite/21_strings/basic_string/allocator/char/minimal.cc b/libstdc++-v3/testsuite/21_strings/basic_string/allocator/char/minimal.cc
index 2e7c7e2d4a4..3493f630920 100644
--- a/libstdc++-v3/testsuite/21_strings/basic_string/allocator/char/minimal.cc
+++ b/libstdc++-v3/testsuite/21_strings/basic_string/allocator/char/minimal.cc
@@ -5,25 +5,23 @@
 // terms of the GNU General Public License as published by the
 // Free Software Foundation; either version 3, or (at your option)
 // any later version.
- 
+
 // This library is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
- 
+
 // You should have received a copy of the GNU General Public License along
 // with this library; see the file COPYING3.  If not see
 // <http://www.gnu.org/licenses/>.
 
 // { dg-do run { target c++11 } }
-// COW strings don't support C++11 allocators:
-// { dg-require-effective-target cxx11-abi }
 
 #include <string>
 #include <memory>
 #include <testsuite_hooks.h>
 #include <testsuite_allocator.h>
- 
+
 using C = char;
 const C c = 'a';
 using traits = std::char_traits<C>;
diff --git a/libstdc++-v3/testsuite/21_strings/basic_string/allocator/wchar_t/minimal.cc b/libstdc++-v3/testsuite/21_strings/basic_string/allocator/wchar_t/minimal.cc
index ed791747df3..5f057e84dbf 100644
--- a/libstdc++-v3/testsuite/21_strings/basic_string/allocator/wchar_t/minimal.cc
+++ b/libstdc++-v3/testsuite/21_strings/basic_string/allocator/wchar_t/minimal.cc
@@ -5,25 +5,23 @@
 // terms of the GNU General Public License as published by the
 // Free Software Foundation; either version 3, or (at your option)
 // any later version.
- 
+
 // This library is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
- 
+
 // You should have received a copy of the GNU General Public License along
 // with this library; see the file COPYING3.  If not see
 // <http://www.gnu.org/licenses/>.
 
 // { dg-do run { target c++11 } }
-// COW strings don't support C++11 allocators:
-// { dg-require-effective-target cxx11-abi }
 
 #include <string>
 #include <memory>
 #include <testsuite_hooks.h>
 #include <testsuite_allocator.h>
- 
+
 using C = wchar_t;
 const C c = L'a';
 using traits = std::char_traits<C>;
diff --git a/libstdc++-v3/testsuite/27_io/basic_fstream/cons/base.cc b/libstdc++-v3/testsuite/27_io/basic_fstream/cons/base.cc
index 50a45faacdc..1e7be126212 100644
--- a/libstdc++-v3/testsuite/27_io/basic_fstream/cons/base.cc
+++ b/libstdc++-v3/testsuite/27_io/basic_fstream/cons/base.cc
@@ -17,7 +17,6 @@
 
 // { dg-options "-O0" }
 // { dg-do link { target c++11 } }
-// { dg-require-effective-target cxx11-abi }
 
 #include <fstream>
 #include <string>

